<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ORDirectoryUri StructType
 * @subpackage Structs
 */
class ORDirectoryUri extends AbstractStructBase
{
    /**
     * The partition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType
     */
    public $partition;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for ORDirectoryUri
     * @uses ORDirectoryUri::setPartition()
     * @uses ORDirectoryUri::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $partition
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $partition = null, $uuid = null)
    {
        $this
            ->setPartition($partition)
            ->setUuid($uuid);
    }
    /**
     * Get partition value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType|null
     */
    public function getPartition()
    {
        return $this->partition;
    }
    /**
     * Set partition value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $partition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORDirectoryUri
     */
    public function setPartition(\\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $partition = null)
    {
        $this->partition = $partition;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORDirectoryUri
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
